--
-- file prepared: 3 November 2025 21:16:20.655, using fd693f
--
self_ID = "ki61"
declare_plugin(self_ID,
{
	displayName = _("ki61"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("ki61"),

	version = " ",
	state = "installed",
	info = _("The Kawasaki Ki-61 Hien (飛燕, 'flying swallow') is a Japanese World War II fighter aircraft. Used by the Imperial Japanese Army Air Service, it was designated the 'Army Type 3 Fighter' (三式戦闘機). The design originated as a variant of the Kawasaki Ki-60, which never entered production. The Ki-61 became the only mass-produced Japanese fighter of the war to use a liquid-cooled inline V engine. Over 3,000 Ki-61s were produced. Initial prototypes saw action over Yokohama during the Doolittle Raid on 18 April 1942, and continued to fly combat missions throughout the war. (source: https://en.wikipedia.org/wiki/Kawasaki_Ki-61 ) "),

	update_id = "ki61",

	Skins =
	{
		{
			name = _("ki61"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("ki61"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("ki61"),
			type = "ki61",
		},
	},
	InputProfiles =
	{
		["ki61"] = current_mod_path .. '/Input/ki61',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('ki61', ViewSettings, SnapViews)
make_flyable('ki61', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/ki61.lua')
------------------------------------------------------------------------------------ -
plugin_done()

